/*
	Demonstration of an innoculated program

	LINK with SELFCHK?.OBJ
			replace ? with S for small memory model
					?	   L for large memory model

	Before running, the program must be innoculated with INSVAL.EXE
*/

#include <stdio.h>

main(int arc, char *argv[])
{
	int status;

	status = SELF_CHECK(argv[0]);

	if (status == -1)
	{
		fprintf(stderr,"FATAL ERROR: Unable to carry out self check....\n");
		exit(0);
	}

	if (!status)
	{
		fprintf(stderr,"FATAL ERROR: Fails self check....\n");
		exit(0);
	}

	printf("This is a self checking demonstration program.\n");
	printf("It is resistant to almost all computer viruses.\n");
}